package se.lth.dit.odinmp;
import se.lth.dit.odinmp.*;
import se.lth.dit.odinmp.visitor.*;
import se.lth.dit.odinmp.syntaxtree.*;
import java.lang.*;
import java.util.*;

public class FlushConstructDescriptor extends ConstructDescriptor {
    public static int nextIndex = 0;

    public Vector variableList;

    public FlushConstructDescriptor(Vector vl) {
	super(9, "flush", nextIndex++);
	variableList = vl;
    }

    public String code(DataBuildingVisitor dbv) {
	StringBuffer retval = new StringBuffer();
	retval.append("    odinmp_sync_memory();\n");
	return new String(retval);
    }
}
