package se.lth.dit.odinmp;
import se.lth.dit.odinmp.*;
import se.lth.dit.odinmp.visitor.*;
import se.lth.dit.odinmp.syntaxtree.*;
import java.lang.*;
import java.util.*;

public class MasterConstructDescriptor extends ConstructDescriptor {
    public static int nextIndex = 0;

    public Statement statement;

    public MasterConstructDescriptor(Statement cs) {
	super(5, "master", nextIndex++);
	statement = cs;
    }
    
    public String code(DataBuildingVisitor dbv) {
	StringBuffer retval = new StringBuffer();

	// this handles being orphaned by the simple fact that 
	// the thread thinks it's master if it's not in a parallel region
	retval.append("  if(odinmp_is_master())\n");
	dbv.visit(statement);
	retval.append(dbv.rv.toString());
	return new String(retval);
    }
}
