package se.lth.dit.odinmp.visitor;
import se.lth.dit.odinmp.syntaxtree.*;
import java.util.*;
import java.io.*;

public class VectorReturnValue extends ReturnValue {
    public Vector v;

    public VectorReturnValue() {
	v = new Vector();
    }

    public void add(ReturnValue rv) {
	super.add(rv);
	for (Enumeration e = ((VectorReturnValue)rv).v.elements();
	     e.hasMoreElements();
	     ) {
	    v.addElement(e.nextElement());
	}
    }

    public String toString() {
	StringBuffer s = new StringBuffer();
	Enumeration e = v.elements();
	if (e.hasMoreElements()) {
	    s.append(e.nextElement().toString());
	    while (e.hasMoreElements()) {
		s.append(" ");
		s.append(e.nextElement().toString());
	    }
	}
	return new String(s);
    }

    public void printTo(PrintWriter pw) {
	Enumeration e = v.elements();
	if (e.hasMoreElements()) {
	    pw.print(e.nextElement().toString());
	    while (e.hasMoreElements()) {
		pw.print(" ");
		pw.print(e.nextElement().toString());
	    }
	}	
    }
}
