package se.lth.dit.odinmp;

import java.util.*;
import java.io.*;
import se.lth.dit.odinmp.*;
import se.lth.dit.odinmp.syntaxtree.*;
import se.lth.dit.odinmp.visitor.*;

public class IncrementalReader {
    public BufferedReader reader;

    public IncrementalReader(BufferedReader r) {
	reader = r;
    }

    public String readIncrement() {
	String acc = "";
	String line;
	for(;;) {	    
	    try {
		line = reader.readLine();
	    } catch (Exception e) {
		System.err.println("Caught Exception trying to read increment: ``" + e + "''");
		break;
	    }

	    if (line == null || line.equals("/*MARK*/")) {
		break;
	    } else {
		acc = acc + line + "\n";
	    }
	} 
	return acc;
    }

    public void close() throws IOException {
	reader.close();
    }
}

