
package se.lth.dit.odinmp;
import java.lang.*;

//
// For indentation
//
public class Spacing {
    final int INDENT_AMT;
    
    public String spc = "";
    public int indentLevel = 0;
    
    public Spacing(int indentAmt) {
	INDENT_AMT = indentAmt;
    }
    
    public String toString() {
	return spc;
    }
    
    public void updateSpc(int numIndentLvls) {
	indentLevel += numIndentLvls;
	
	if ( numIndentLvls < 0 )
	    spc = spc.substring(-1 * numIndentLvls * INDENT_AMT);
	else if ( numIndentLvls > 0 ) {
	    StringBuffer buf = new StringBuffer(spc);
	    
	    for ( int i = 0; i < numIndentLvls * INDENT_AMT; ++i )
		buf.append(" ");
	    
	    spc = buf.toString();
	}
    }
    
    public void din() {
	updateSpc(+1);
    }

    public void dout() {
	updateSpc(-1);
    }
}
